# OS発見スクリプト

このスクリプトで簡単にOS類とディストリビューション（Linuxの場合）を発見出来ます。

## 対応OS

* Arch Linux
* Artix Linux
* Debian GNU/Linux
* Devuan GNU+Linux
* FreeBSD
* Manjaro
* OpenBSD
* Ubuntu
* Void Linux

## インストールする方法

### ZSHの場合

```sh
chmod +x ~/.local/bin/getsystem
nvim ~/.zshrc
```

```
...
. ~/.local/bin/getsystem
...
```

### BASHの場合

```sh
chmod +x ~/.local/bin/getsystem
nvim ~/.bashrc
```

```
...
source ~/.local/bin/getsystem
...
```

## 例えば

```sh
if [ "$platform" = 'freebsd' ]; then
  echo "FreeBSDでメモリーの確認"
  dmesg | grep memory
elif [ "$platform" = 'openbsd' ]; then
  echo "OpenBSDでメモリーの確認"
  dmesg | grep mem
else
  echo "Linuxでメモリーの確認"
  free -m
fi
```

```sh
echo "使っているOSは："
if [ "$ostype" = 'linux' ]; then
  echo "Linux"
elif [ "$ostype" = 'bsd' ]; then
  echo "BSD"
else
  echo "わからないなぁ…確かに良いOSではないよね"
fi
```

```sh
if [ "$platform" = 'artix' ] || [ "$platform" = 'arch' ] || [ "$platform" = 'manjaro' ]; then
  sudo pacman -Syyu
elif [ "$platform" = 'devuan' ] || [ "$platform" = 'debian' ] || [ "$platform" = 'ubuntu' ]; then
  sudo apt update && sudo apt upgrade && sudo apt autoremove
elif [ "$platform" = 'void' ]; then
  sudo xbps-install -Su
elif [ "$platform" = 'freebsd' ]; then
  sudo pkg update && sudo pkg upgrade
elif [ "$platform" = 'openbsd' ]; then
  doas pkg_add -ui
else
  echo "エラー"
fi
```

```sh
# source ~/.local/bin/getsystem
# echo $ostype
linux
# echo $platform
artix
```
